Summary:	Displays a graph from your latest system load
Summary(pl.UTF-8):	Wyświetlanie wykresu bieżącego obciążenia systemu
Name:		xfce4-cpugraph-plugin
Version:	1.3.0
Release:	1
License:	BSD
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-cpugraph-plugin/1.3/%{name}-%{version}.tar.xz
# Source0-md5:	08594597c251da43fae297b325626001
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libxfce4ui-devel >= 4.16
BuildRequires:	libxfce4util-devel >= 4.17.2
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
BuildRequires:	xfconf-devel >= 4.16.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This systemload plugin offers multiple display modes (LED, gradient,
fire, etc.) to show the current CPU load of the system. The colors and
the size of the plugin are customizable.

%description -l pl.UTF-8
Ta wtyczka obciążenia systemu oferuje liczne tryby wyświetlania (ekran
ciekłokrystaliczny LED, gradient, ogień, itp.) aktualnego obciążenia
procesora. Kolory i rozmiar wtyczki są modyfikowalne.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# for dependency generator
chmod 755 $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.so

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libcpugraph.so
%{_datadir}/xfce4/panel/plugins/cpugraph.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-cpugraph-plugin.git;a=log;h=master

* Sat May 24 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d5ca0bd
- up to 1.3.0

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c9fb747
- up to 1.2.11

* Sun Dec 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1f80de1
- up to 1.2.10

* Sun Jul 23 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 04c4240
- up to 1.2.8

* Mon Jul 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b9fe5dc
- up to 1.2.7

* Tue Mar 08 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4480173
- up to 1.2.6

* Sun Oct 10 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4971fd1
- up to 1.2.5

* Mon Oct 04 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f3d9b1a
- up to 1.2.4

* Wed Feb 24 2021 Jan Rękorajski <baggins@pld-linux.org> 73be05c
- remove unneccassary LINGUAS env

* Wed Feb 24 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2fa2570
- up to 1.2.3

* Mon Feb 15 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8404ac5
- up to 1.2.2

* Sat Jan 30 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b46418f
- up to 1.2.1

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 35c6dd9
- up to 1.2.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 6fd9309
- up to 1.1.0

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 4fb0237
- rebuild for XFCE 4.12
- release 8 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> a7e7209
- x32 rebuild
- release 7 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e5ab6ed
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 1496ddd
- libffi rebuild
- release 6 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 4ebbf24
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b9f77e
- release 4 (by relup.sh)

